| FB Alpha

### Command Line

FB Alpha can be invoked with command line options. When invoked this way, FB Alpha will automatically switch to fullscreen mode when a game is loaded, and the Escape key quits FB Alpha. The options are as follows;

fba <game> [-listinfo|-w|-a|-r <width>x<height>x<depth>]

<game> = The game's romname. You can specify the filename of a savestate or input recording instead.
-w = Run in a window instead of fullscreen.
-a = Use the same resolution as the original arcade game.
-r = Specify a resolution. Depth is optional.

If neither -a nor -r are specified, the default fullscreen resolution is used.

Examples:

fba sfa3 -r 800x600x32

fba awesome_sfzch_recording.fr -w

fba vsav2 -a

For front-ends, you can also do fba -listinfo, -listinfomdonly, -listinfopceonly, -listinfotg16only, -listinfosgxonly, -listinfosg1000only, -listinfocolecoonly, or -listinfosmsonly, -listinfoggonly, -listinfomsxonly, or -listinfospectrumonly which will output information about the supported games to stdout, and the ROM files they need in the MAME XML format.

You can also do fba -listextrainfo. This will output the following data in a tab-delimited format to stdout; setname, visible size, aspect ratio, hardware code, hardware description, working status, max players, comments.